<?php
$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_0c5123aa744f69bbc0e8b3ea2f6e" . "847d" => base64_decode("bG1zZ" . "w=="), "_d717884ce9fe95b212f09fa" . "38768bc1f" => base64_decode("Y2FsZW5kYXIuZXJyX2VuZF9iZ" . "WZvcmVfc3RhcnQ="), "_7771b5dcfeeecba30b34" . "d84c09a21ec4" => base64_decode("Y2FsZW5kYXIuZXJyX2l" . "udmFsaWRfZGF0ZQ=="));






class CalendarEventDatePeriod extends DatePeriodDialog
{
    public function __construct($_7392cbdbf5bdf4880fc8e5fbb070663d = false)
    {
        parent::__construct($_7392cbdbf5bdf4880fc8e5fbb070663d);
    }
    
    
    
    
    
    
    public function ValidateStartEnd()
    {
        if (!$this->start || !$this->end) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_0c5123aa744f69bbc0e8b" . "3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_7771b5dcfeeecba30b34d84c09a21e" . "c4"]));
        }
        
        
        if (Date::compare($this->start, $this->end, 1) <= 0) {
            return true;
        } else {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_0c5123aa744f6" . "9bbc0e8b3ea2f6" . "e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_d717884ce9fe95b212f09fa38768bc1" . "f"]));
        }
    }
}